// / <reference types="react-scripts" />

declare module '*.svg' {
   const content: any;
   export default content;
}

declare module '*.png' {
   const content: string;
   export default content;
}

declare module '*.jpg' {
   const content: string;
   export default content;
}

declare global {
   declare module 'react' {
      // eslint-disable-next-line @typescript-eslint/interface-name-prefix
      interface HTMLAttributes<T> extends React.DOMAttributes<T> {
         'data-testid'?: string;
      }
   }
}
